=== debian/changelog ===
waffle (1.6.0-3) unstable; urgency=medium

  * d/control: build-dep libx11-dev => libx11-xcb-dev (Closes #948779)
  * d/gbp.conf: Add git-buildpackage config file

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 23 Jan 2020 16:59:58 -0800

waffle (1.6.0-2) unstable; urgency=medium

  * Start new changelog
  * d/rules: Enable surfaceless_egl
  * debian: Increase debhelper to 12
  * d/control: Increase Standards-Version to 4.4.0

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 19 Jul 2019 01:50:12 -0700

waffle (1.6.0-1) experimental; urgency=medium

  * New upstream release.
    - wflinfo can output JSON [Dylan Baker]
    - EGL/GBM: Add support for modifiers [Jason Ekstrand]
  * d/control: Move Vcs-* to salsa.debian.org/xorg-team
  * d/watch: Update watch file for upstream freedesktop.org move
  * d/control: Update Standards-Version to 4.3.0
  * d/copyright: Use debian doc https url
  * d/compat: Update from 9 to 11
  * d/compat: Update debhelper from 9 to 11
  * debian: Add pgp verification with Chad Versace's key
  * debian: Add Dylan Baker's gpg key for 1.6.0 release
  * d/watch: Update version to 4

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 07 Jun 2019 14:43:49 -0700
