=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://mesa.pages.freedesktop.org/waffle/releases.html \
.*/waffle-(\d\S*)\.tar\.xz
