## waffle 1.6.1

=== debian/changelog ===
waffle (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: Add Emil Velikov's gpg key for 1.6.1 release
  * d/control: Add bash-completion build dependency
  * d/waffle-utils.install: Install bash-completions
  * d/patches: Fix some spelling errors caught by lintian
  * d/rules: Fix lintian hardening-no-bindnow
  * d/libwaffle-1-0.symbols: Add symbol file for lintian no-symbols-control-file
  * d/control: Split out Pre-Depends for libwaffle-1-0
  * d/control: Fix extended-description-is-probably-too-short for libwaffle-1-0
  * d/patches: Patch docbookx.dtd url to local file path
  * d/control: Depend on docbook-xml for 4.2/docbookx.dtd
  * d/patches: Add refpurpose on waffle_enum page for lintian manpage-has-bad-whatis-entry

 -- Jordan Justen <jordan.l.justen@intel.com>  Sun, 12 Apr 2020 22:54:23 -0700

waffle (1.6.0-4) unstable; urgency=medium

  * d/control: Drop binutils from Build-Depends. Closes: #877605
  * d/control: Update Standards-Version to 4.5.0
  * d/control: Use debhelper-compat (= 12)

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 12 Mar 2020 15:13:57 -0700
