=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Priority: optional
 Section: libs
 Maintainer: Jordan Justen <jordan.l.justen@intel.com>
-Build-Depends: binutils (>> 2.18),
+Build-Depends: bash-completion,
                cmake,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
+               dh-exec,
+               docbook-xml,
                docbook-xsl,
                libegl1-mesa-dev | libegl-dev,
                libgl1-mesa-dev | libgl-dev,
@@ -15,7 +17,7 @@
                libx11-xcb-dev,
                pkg-config,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://www.waffle-gl.org
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/waffle.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/waffle
@@ -23,9 +25,12 @@
 Package: libwaffle-1-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Waffle library (binaries)
  A library for selecting an OpenGL API and window system at runtime
+ .
+ This package contains the waffle runtime shared library.
 
 Package: libwaffle-dev
 Architecture: any
