=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Copyright (c) 2013 Intel Corporation
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --buildsystem cmake
