=== debian/changelog ===
waffle (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * debian: Convert from cmake to meson build
  * d/patches: Rebase on v1.6.3
  * d/patches: Cherry-pick patch from upstream to produce cmake files
  * d/waffle-utils.install: Upstream now installs bash-completion properly
  * d/patches: Add patch to hide symbols of threads helper lib

 -- Jordan Justen <jljusten@debian.org>  Thu, 25 Feb 2021 00:51:00 -0800

waffle (1.6.1-3) unstable; urgency=medium

  * d/rules: Override dh_missing for arch-indep builds. Closes: #972970

 -- Jordan Justen <jljusten@debian.org>  Mon, 02 Nov 2020 01:51:32 -0800

waffle (1.6.1-2) unstable; urgency=medium

  * debian/control: Update Jordan's email address
  * debian/not-installed: Add for debhelper-compat 13
  * debian/control: Update to debhelper-compat 13

 -- Jordan Justen <jljusten@debian.org>  Mon, 26 Oct 2020 03:31:30 -0700
