=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: waffle
 Priority: optional
 Section: libs
-Maintainer: Jordan Justen <jordan.l.justen@intel.com>
+Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: bash-completion,
                cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                docbook-xml,
                docbook-xsl,
@@ -15,7 +15,10 @@
                libudev-dev,
                libwayland-dev,
                libx11-xcb-dev,
+               meson,
                pkg-config,
+               python3,
+               python3-setuptools,
                xsltproc
 Standards-Version: 4.5.0
 Homepage: http://www.waffle-gl.org
