## waffle 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 project(waffle1 C CXX)
 
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 2.8.12)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
 
@@ -101,7 +101,7 @@
 
 include_directories(
     include
-    include/waffle
+    include/waffle-1
     src
     )
