=== doc/CMakeLists.txt ===
install(
    DIRECTORY "${CMAKE_SOURCE_DIR}/doc/release-notes"
    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
    COMPONENT releasenotes
    )
