=== src/waffle/CMakeLists.txt ===
--- 
+++ 
@@ -136,6 +136,25 @@
     )
 endif()
 
+macro(wayland_gen xml_file obj_name)
+    set(PROTO_FILE wl-${obj_name}-proto.c)
+    add_custom_command(
+        OUTPUT ${PROTO_FILE}
+        COMMAND ${WAYLAND_SCANNER} "private-code" ${xml_file} ${PROTO_FILE}
+    )
+    list(APPEND waffle_sources ${PROTO_FILE})
+endmacro()
+
+macro(wayland_gen_hdr xml_file obj_name)
+    set(HDR_FILE wl-${obj_name}-proto.h)
+    add_custom_target(wl_${obj_name}_proto_h ALL
+        COMMAND ${WAYLAND_SCANNER} "client-header" ${xml_file} ${HDR_FILE}
+    )
+    list(APPEND waffle_hdrdeps wl_${obj_name}_proto_h)
+    # Flip to enable -I builddir
+    set(CMAKE_INCLUDE_CURRENT_DIR ON)
+endmacro()
+
 if(waffle_has_wayland)
     list(APPEND waffle_sources
         wayland/wayland_display.c
@@ -143,6 +162,9 @@
         wayland/wayland_window.c
         wayland/wayland_wrapper.c
     )
+    wayland_gen(${wayland_core_xml} "core")
+    wayland_gen(${wayland_xdg_shell_xml} "xdg-shell")
+    wayland_gen_hdr(${wayland_xdg_shell_xml} "xdg-shell")
 endif()
 
 if(waffle_has_x11)
@@ -257,6 +279,12 @@
     VERSION ${waffle_soversion}.${waffle_minor_version}.${waffle_patch_version}
     )
 
+if(waffle_has_wayland)
+    foreach(_hdr ${waffle_hdrdeps})
+        add_dependencies(${waffle_libname} ${_hdr})
+    endforeach()
+endif()
+
 if(waffle_on_windows)
     set_target_properties(${waffle_libname}
         PROPERTIES
