=== debian/changelog ===
waffle (1.7.0-2) unstable; urgency=medium

  * d/changelog: Release 1.7.0-2 to unstable

 -- Jordan Justen <jljusten@debian.org>  Wed, 18 Aug 2021 11:07:29 -0700

waffle (1.7.0-1) experimental; urgency=medium

  [ Jordan Justen ]
  * New upstream release
  * d/patches: Rebase to upstream v1.7.0
  * d/control: Update Standards-Version to 4.5.1
  * d/control: Set Rules-Requires-Root to no
  * d/control: Add wayland-protocols build dep
  * d/upstream/metadata: Set upstream metadata: Bug-Database, Bug-Submit

  [ Adrian Ratiu ]
  * d/rules: Fix xenabledenabled_egl -> x11_egl typo
  * d/control: Require cmake version >= 2.8.12

 -- Jordan Justen <jljusten@debian.org>  Thu, 25 Mar 2021 12:33:42 -0700

waffle (1.6.3-3) unstable; urgency=medium

  * debian: Run wrap-and-sort
  * d/control: libwaffle-dev depends on egl, gbm, gl, wayland and x11-xcb.
    Closes: #987940, #987879

 -- Jordan Justen <jljusten@debian.org>  Mon, 03 May 2021 09:44:42 -0700

waffle (1.6.3-2) unstable; urgency=medium

  [ Jordan Justen ]
  * d/control: Update Standards-Version to 4.5.1
  * d/control: Set Rules-Requires-Root to no
  * d/upstream/metadata: Set upstream metadata: Bug-Database, Bug-Submit
  * d/upstream/metadata: Add repository information for lintian upstream-metadata-missing-repository
  * d/control: Update project homepage url for move to freedesktop.org

  [ Adrian Ratiu ]
  * d/rules: Fix xenabledenabled_egl -> x11_egl typo

  [ Adrian Bunk ]
  * d/control: libwaffle-dev: Depend on libudev-dev. (Closes: #986517)

 -- Jordan Justen <jljusten@debian.org>  Sat, 24 Apr 2021 02:02:31 -0700
