=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Section: libs
 Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: bash-completion,
-               cmake,
+               cmake (>= 2.8.12),
                debhelper-compat (= 13),
                dh-exec,
                docbook-xml,
                docbook-xsl,
                libegl1-mesa-dev | libegl-dev,
+               libgbm-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgbm-dev,
                libudev-dev,
                libwayland-dev,
                libx11-xcb-dev,
@@ -19,16 +19,18 @@
                pkg-config,
                python3,
                python3-setuptools,
+               wayland-protocols,
                xsltproc
-Standards-Version: 4.5.0
-Homepage: http://www.waffle-gl.org
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://waffle.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/waffle.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/waffle
 
 Package: libwaffle-1-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Waffle library (binaries)
  A library for selecting an OpenGL API and window system at runtime
@@ -39,7 +41,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libegl-dev,
+         libgbm-dev,
+         libgl-dev,
+         libudev-dev,
+         libwaffle-1-0 (= ${binary:Version}),
+         libwayland-dev,
+         libx11-xcb-dev,
+         ${misc:Depends}
 Suggests: libwaffle-doc
 Description: Waffle library (development files)
  A library for selecting an OpenGL API and window system at runtime
@@ -60,7 +69,9 @@
 Package: waffle-utils
 Architecture: any
 Section: utils
-Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libwaffle-1-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Waffle library (utilities)
  A library for selecting an OpenGL API and window system at runtime
  .
