## waffle 1.7.2

=== src/waffle/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,14 @@
 add_definitions(
     -DWAFFLE_API_VERSION=${waffle_api_version}
     -DWAFFLE_API_EXPERIMENTAL
+    ${egl_CFLAGS}
+    ${gbm_CFLAGS}
+    ${gl_CFLAGS}
+    ${GLEXT_CFLAGS}
+    ${libudev_CFLAGS}
+    ${wayland-client_CFLAGS}
+    ${wayland-egl_CFLAGS}
+    ${x11-xcb_CFLAGS}
     )
 
 include_directories(
@@ -197,7 +205,6 @@
         wgl/wgl_context.c
         wgl/wgl_display.c
         wgl/wgl_dl.c
-        wgl/wgl_error.c
         wgl/wgl_platform.c
         wgl/wgl_window.c
         )
