=== debian/changelog ===
waffle (1.7.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libwaffle-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable)

  [ Jordan Justen ]
  * New upstream release
  * d/changelog: Start 1.7.2-1 changelog
  * d/control: Update Standards-Version to 4.6.2
  * d/source/lintian-overrides: Override patch-not-forwarded-upstream
  * d/libwaffle-dev: Drop cmake files from dev package
  * d/control: Drop cmake build dependency
  * d/waffle-utils: Add zsh completion
  * d/control: Drop deprecated libgl1-mesa-dev dependency

 -- Jordan Justen <jljusten@debian.org>  Fri, 10 Mar 2023 11:21:40 -0800
