=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Section: libs
 Maintainer: Jordan Justen <jljusten@debian.org>
 Build-Depends: bash-completion,
-               cmake (>= 2.8.12),
                debhelper-compat (= 13),
                dh-exec,
                docbook-xml,
                docbook-xsl,
                libegl1-mesa-dev | libegl-dev,
                libgbm-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libudev-dev,
                libwayland-dev,
@@ -21,7 +20,7 @@
                python3-setuptools,
                wayland-protocols,
                xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://waffle.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/waffle.git
@@ -60,6 +59,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Waffle library (documentation)
  A library for selecting an OpenGL API and window system at runtime
  .
